package no.inspera.services.pedal;

import java.util.Calendar;

/**
 *
 * A class representing a tag.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: Tag.java 44417 2008-04-21 18:53:36Z naimdjon $
 * @since 23.02.2008
 */
public class Tag {

    /**
     * Descriptive label for the tag.
     */
    private String label;

    /**
     * The id of the object to be tagged.
     */
    private long objectId;

    /**
     * The Id of the user who tags
     */
    private long taggerId;

    /**
     * The time when tagging is performed.
     */
    private Calendar taggingTime;

    /**
     * Getter for label
     * @return label
     */
    public String getLabel() {
        return label;
    }

    /**
     * Setter for label
     * @param label new label
     */
    public void setLabel(String label) {
        this.label = label;
    }

    /**
     * Getter for objectId.
     *
     * @return objectId
     */
    public long getObjectId() {
        return objectId;
    }

    /**
     * Setter for objectId
     * @param objectId objectId
     */
    public void setObjectId(long objectId) {
        this.objectId = objectId;
    }

    /**
     * Getter for tagging time.
     * @return taggingTime
     */
    public Calendar getTaggingTime() {
        return taggingTime;
    }

    /**
     * Setter for taggingTime.
     * @param taggingTime new taggingTime
     */
    public void setTaggingTime(Calendar taggingTime) {
        this.taggingTime = taggingTime;
    }

    /**
     * Getter for taggerId
     * @return taggerId
     */
    public long getTaggerId() {
        return taggerId;
    }

    /**
     * Setter for taggerId
     * @param taggerId new taggerId
     */
    public void setTaggerId(long taggerId) {
        this.taggerId = taggerId;
    }
}
