package no.inspera.services.pedal.actions;

import no.inspera.utils.Parameters;

/**
 * An action is generic action to be performed in personalised course. Actions are invoked from {@link no.inspera.services.pedal.PedalServlet} servlet.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: Action.java 45069 2008-05-29 08:25:25Z naimdjon $
 * @since 14.12.2007 
 */
public interface Action {

    /**
     * Executes the action based on parameters that are sent.
     *
     * @param params request parameters.
     * @return the result of the action.
     */
    public Result execute(Parameters params);

}

