package no.inspera.services.pedal.actions;

import no.inspera.services.pedal.PEDAL;
import no.inspera.utils.Parameters;

/**
 * The entry point to the personalised course. This class also responsible for ensuring security.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: Login.java 45069 2008-05-29 08:25:25Z naimdjon $
 * @since 23.12.2007
 */
public class Login implements Action {
    /**
     * Executes login action which checks if the user is logged in and cofigures the personalised course.
     * @param params the current request parameters.
     * @return the result of the action.
     */
    public Result execute(Parameters params) {
        if(params.getUserId()<=0 || params.getMarketplaceId()<=0) {
            return new Forward(PEDAL.startPage);
        }else if(params.getSessionAttribute(PEDAL.indexName)==null){
            return new Start().execute(params);
        }else if (params.getSessionAttribute(PEDAL.sequencingEngine) == null) {
            new Configure(params.getMarketplaceId(),params.getLanguageId()).execute(params);
        }
        //params.setRequestAttribute("user",UserDataAccess.getInstance().getUser(params.getUserId()));
        return new View().execute(params);
    }
}