package no.inspera.services.pedal.actions;

import no.inspera.services.pedal.PEDAL;
import no.inspera.utils.Parameters;
import org.apache.lucene.analysis.standard.StandardAnalyzer;
import org.apache.lucene.document.Document;
import org.apache.lucene.document.Field;
import org.apache.lucene.queryParser.QueryParser;
import org.apache.lucene.search.Hits;
import org.apache.lucene.search.IndexSearcher;
import org.apache.lucene.search.Searcher;
import org.apache.lucene.store.RAMDirectory;

import java.util.List;

/**
 *
 * This action shows what is in-memory indexed.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: ShowIndex.java 45069 2008-05-29 08:25:25Z naimdjon $
 * @since 23.12.2007
 */
public class ShowIndex implements Action {

    /**
     * Executes the show index action and prints out all objects in the index.
     *
     * @param params the current request parameters.
     * @return the html result showing index.
     */
    public Result execute(Parameters params) {
        StringBuffer html= new StringBuffer();
        RAMDirectory index=(RAMDirectory) params.getSessionAttribute(PEDAL.indexName);
        try {
            Searcher searcher = new IndexSearcher(index);
            final Hits hits =searcher.search(new QueryParser("id", new StandardAnalyzer()).parse("id:[2000 TO 99999999]"));
            for (int i = 0; i < hits.length(); i++) {
                final Document doc = hits.doc(i);
                for (Field f : (List<Field>) doc.getFields()) {
                    html.append("<div>");
                    html.append(f.name()).append(":").append(f.stringValue());
                    html.append("</div>");
                }
                html.append("<hr/>");
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        
        return new HTML(html.toString());
    }
}