package no.inspera.services.pedal.actions;

import no.inspera.services.pedal.PEDAL;
import no.inspera.utils.Parameters;

/**
 * The start is invoked once the user has been authenticate.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: Start.java 45069 2008-05-29 08:25:25Z naimdjon $
 * @since 29.12.2007 
 */
public class Start implements Action {

    /**
     * Executes the action and forwards the user to the start page of the personalised course.
     * @param params the current request parameters.
     * @return to the start page of the course.
     */
    public Result execute(Parameters params) {
        params.removeSessionAttribute("moduleId");
        params.removeSessionAttribute(PEDAL.sequencingEngine);
        new Index().execute(params);
        try {
            new Configure(params.getMarketplaceId(), params.getLanguageId())
                    .execute(params);
        } catch (Exception e) {
            e.printStackTrace();
            params.setUserId(-1);
            params.setRequestAttribute("error","Could not configure personalised course");
            return new Forward("/jsp/pedal-ng/");
        }
        return new View().execute(params);
    }
    
}
