package no.inspera.services.pedal.actions;

import no.inspera.utils.Parameters;
import no.inspera.services.pedal.Tag;
import no.inspera.services.pedal.services.TaggingService;

import java.util.Calendar;

/**
 *
 * Tags object with specific tags.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: Tag.java 44417 2008-04-21 18:53:36Z naimdjon $
 * @since 23.02.2008
 */
public class TagObject implements Action {

    public Result execute(Parameters params) {
        try {
            Tag tag= new Tag();
            tag.setLabel(params.getParameter("tag"));
            tag.setObjectId(params.getLong("objectId"));
            tag.setTaggerId(params.getUserId());
            tag.setTaggingTime(Calendar.getInstance());
            TaggingService.tagObject(tag);
        } catch (Exception e) {
            e.printStackTrace();
            params.setRequestAttribute("error","Could not tag object");
        }
        //redirect user to the same page
        return new View().execute(params);
    }
}
