package no.inspera.services.pedal.engine;

import no.inspera.services.pedal.Module;

/**
 * Sequnces Learning Objects based on level metadata.
 *
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: LevelSequencing.java 45069 2008-05-29 08:25:25Z naimdjon $
 * @since 27.12.2007 
 */
public class LevelSequencing implements Sequence {
    private SequencingMetadataItem level;

    /**
     * Constructs a new LevelSequencing based on level metadata.
     * @param level level metadata
     */
    public LevelSequencing(SequencingMetadataItem level) {
        this.level = level;
    }

    /**
     * Filters out only items that are in accordance with the specified level.
     *
     * @param next the next Sequence in the chain
     * @param module current module
     */
    public void doSequence(Chain next, Module module) {
        next.doSequence(module);
    }

    /**
     * Returns string representation of this object
     * @return string representation of this object
     */
    public String toString() {
        return "level\n";
    }

}