package no.inspera.services.pedal.engine;

import no.inspera.services.metadataservice.ItemProperty;
import no.inspera.services.metadataservice.ItemPropertyValue;

import java.io.Serializable;

/**
 * SequencingMetadataItem represents metadata item that can be used for sequencing.
 * 
 * @author <a href="mailto:naimdjon@gmail.com">Naimdjon Takhirov</a>
 * @version $Id: SequencingMetadataItem.java 45069 2008-05-29 08:25:25Z naimdjon $
 * @since 23.12.2007
 */
public class SequencingMetadataItem implements Serializable{
    /**
     * The metadata element
     */
    private ItemProperty property;

    /**
     * The property value for the metadata element.
     */
    private ItemPropertyValue value;

    /**
     *  Constructs a new SequencingMetadataItem with specified parameters.
     *
     * @param property metadata element
     * @param value the property value
     */
    public SequencingMetadataItem(ItemProperty property, ItemPropertyValue value) {
        this.property = property;
        this.value = value;
    }

    /**
     * Getter for property metadata element
     * @return property
     */
    public ItemProperty getProperty() {
        return property;
    }

    /**
     * Setter for value
     * @return value.
     */
    public ItemPropertyValue getValue() {
        return value;
    }

}
