
<%@ page import="no.inspera.Marketplace" %>
<%@ page import="no.inspera.db.MarketplaceDataAccess" %>
<%@ page import="no.inspera.services.metadataservice.ItemProperty" %>
<%@ page import="no.inspera.services.metadataservice.ItemPropertyValue" %>
<%@ page import="no.inspera.services.metadataservice.MetadataService" %>
<%@ page import="no.inspera.services.pedal.PEDAL" %>
<%@ page import="no.inspera.utils.Parameters" %>
<%@ page import="no.inspera.utils.StringUtils" %>
<%
    Parameters params= Parameters.create(request);
    params.setSessionAttribute("pedalCourseLogicalTitle",PEDAL.defaultLogicalTitle); 
    //System.out.println("params.getUserId():"+params.getUserId());
    if(params.getUserId()>0){
        %><jsp:forward page="/pedalng"/><%
    }else {
        if (params.getMarketplaceId() <= 0) {
            final Marketplace mp = MarketplaceDataAccess.getInstance().getMarketplaceFromName("pedal");
            params.setMarketplaceId(mp.getMarketplaceId());
        }
%>
<html>
<head>
    <title>PEDAL-NG: Welcome</title>
    <link rel="stylesheet" href="/jsp/pedal-ng/pedal-ng.css"/>
    <script type="text/javascript" src="/jsp/pedal-ng/pedal-ng.js">
        //void
    </script>
    <script language="javascript" src="/scripts/jquery/jquery.js">
        //void
    </script>
    <jsp:include page="/jsp/pedal-ng/login.js"/>
</head>
<body>
<div align="center">
<div id="welcomeContent">
    <%
        String err = params.getRequestAttribute("error");
        if (StringUtils.hasLength(err)) {
    %><%=err%><%
    }
%>
</div>
<div id="loginDiv">
    <div class="headerDiv">&#160;Login to database course</div>
    <div>
        <!--<form action="/login" method="post" id="loginForm">-->
        <table>
            <tr>
                <td align="center" colspan="2" id="loginMessage">Username and password are required!</td>
            </tr>
            <tr>
                <td>Username/Email:</td>
                <td><input type="text" name="username" id="loginUsername" class="textField"/></td>
            </tr>
            <tr>
                <td>Password:</td>
                <td><input type="password" name="password" id="loginPassword" class="textField"/></td>
            </tr>
            <tr>
                <td colspan="2" align="right">
                    <button name="submitBtn" id="loginBtn">Login</button>
                    <a id="forgotPass" href="#">Forgot password?</a> &#160;<a id="newUser" href="#">New user</a>
                </td>
            </tr>
        </table>
        <!--</form>-->
    </div>
</div>
<div id="registerDiv">
    <div class="headerDiv">&#160;Register for the course</div>
    <div>
        <table>
            <tr>
                <td align="center" colspan="2" id="registerMessage">All fields marked with (*)must be filled out!</td>
            </tr>
            <tr>
                <td>First name(*):</td>
                <td><input type="text" name="firstname" id="firstname" class="textField"/></td>
            </tr>
            <tr>
                <td>Last name(*):</td>
                <td><input type="text" name="lastname" id="lastname" class="textField"/></td>
            </tr>
            <tr>
                <td>Mobile:</td>
                <td><input type="text" name="mobile" id="mobile" class="textField"/></td>
            </tr>
            <tr>
                <td>Email(*):</td>
                <td><input type="text" name="email" id="email" class="textField"/></td>
            </tr>
            <tr>
                <td>Password(*):</td>
                <td><input type="password" name="password" id="password" class="textField"/></td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr/>
                </td>
            </tr>
            <tr>
                <td>Interests:</td>
                <td>
                    <%
                        try {
                            final ItemProperty ip = MetadataService.getItemProperty("interests");
                            final ItemPropertyValue[] values = ip.getValues();
                            for (ItemPropertyValue ipv : values) {
                                
                    %>
                    <input type="checkbox" name="interests" value="<%=ipv.getItemPropertyValueId()%>"
                           id="<%=ipv.getValue()%>"/>
                    <label for="<%=ipv.getValue()%>"><%=ipv.getText(2, params.getMarketplaceId())%>
                    </label>
                    <%
                    %><br/><%
                        }
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                %>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="right">
                    <a id="toLoginPage2" href="#">&lt;&lt;To login page</a>&#160;
                    <button name="submitBtn" id="registerBtn">Register</button>
                </td>
            </tr>
        </table>
    </div>
</div>
<div id="forgotPasswordDiv">
    <div class="headerDiv">&#160;Forgot password</div>
    <div>
        <table>
            <tr>
                <td align="center" colspan="2" class="message"><img src="/jsp/pedal-ng/loader.gif" alt="Loading..."/>
                </td>
            </tr>
            <tr>
                <td>Email:</td>
                <td><input type="text" name="email" id="forgotPasswordEmail" class="textField"/></td>
            </tr>
            <tr>
                <td colspan="2" align="right">
                    <a id="toLoginPage" href="#">&lt;&lt;To login page</a>&#160;
                    <button name="submitBtn" id="sendPasswordButton">Send password</button>
                </td>
            </tr>
        </table>
    </div>
</div>
</div>
</body>
</html>


<%
    }
%>