<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- $Id: Common_Adaptive_CourseDisplay.xsl 43914 2008-03-19 11:00:01Z naimdjon $ -->
<xsl:include href="Common_Includes.xsl"/>

<xsl:variable name="PEDALHOME"><xsl:value-of select="$COMMON_JSP"/>/pedal-ng/</xsl:variable>

<xsl:variable name="moduleId">
	<xsl:choose>
            <xsl:when test="$request/moduleId"><xsl:value-of select="$request/moduleId"/></xsl:when>
            <xsl:when test="/*/activityNode"><xsl:value-of select="/*/activityNode/activityNode/contentActivityNodeId"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="/*/planItem/descendant::planSubject[not(objectType = 'content_activity_node')]/ContentActivitySymlink/@id"/></xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<xsl:variable name="cssOverride"/>
<xsl:param name="leftNavigation"/>
<xsl:param name="topNavigation"/>

<xsl:template match="/">
<html>
	<head>
		<title>
			<xsl:choose>
				<xsl:when test="/*/activityNode"><xsl:value-of select="/*/activityNode/name"/></xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="/*/planItem/contentRevision"><xsl:value-of select="/*/planItem/contentRevision/title"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="name"/></xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</title>
		<link rel="stylesheet" type="text/css" href="{$COMMON_JSP}pedal-ng/course.css"/>
	</head>

    <script language="javascript" src="/scripts/jquery/jquery.js">
         //void
     </script>
    <script language="javascript" src="{$PEDALHOME}course.js">
         //void
     </script>

<xsl:call-template name="pageView"/>

</html>
</xsl:template>

<xsl:template name="pageView">
<div id="top">
    <div id="logoDiv"/>
    <div id="topMenu">
        <xsl:choose>
            <xsl:when test="$request/moduleId">
                <xsl:apply-templates select="/content/activityNode/descendant::activityNode[contentActivityNodeId=$request/moduleId]" mode="courseNavigation"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:apply-templates select="/content/activityNode" mode="courseNavigation"/>
            </xsl:otherwise>
        </xsl:choose>
    </div>
</div>

<div id="leftNavigation">
    <div id="courseTitleDiv" class="courseTitle"><span><xsl:value-of select="/content/activityNode/name"/></span></div>
    <div id="activityNodes">
        <ul id="courseChildrenNavigation">
            <xsl:apply-templates select="/content/activityNode/activityNode" mode="viewCourseLeftMenuChildren"/>
        </ul>
    </div>
</div>

<div id="contentDiv">
    <xsl:choose>
        <xsl:when test="/content/forwardContent">
            <iframe scrolling="yes" src="/content?contentItemId={/content/forwardContent}&amp;marketplaceId={$marketplaceId}&amp;skipTracking=1" style="border:1px solid #2175bc;width:90%;height:90%;" frameborder="0" vspace="0" hspace="0" name="contIframe" id="contIframe"/>
        </xsl:when>
        <xsl:when test="/content/noAssessments and $request/moduleId">
                The system did not find your assessment results. Please, go back and answer questions.
        </xsl:when>
        <xsl:when test="$request/moduleId">
                No content / Completed module.
        </xsl:when>
        <xsl:otherwise>
            <h3>Welcome to the course on Designing Relational Database</h3>
            <p>
            The first module in this course will help identify your current knowledge of databases. In this module you will be asked to answer some questions. If you don't know the answer to the question simply choose "No answer" option. The second module is a questionnaire that helps identify your preferred way of learning.
            </p>
             <p>
                <em>It is important that you complete these two (pre) assessments accurately. The system will try to give you the most appropriate learning experience. All answers you provide will be treated confidentially and no personal information will be made public.</em>
            </p>
            <hr/>
             <p>
            The objectives of the course are:
            <ul>
                <li>Distinguish between records and fields in database table</li>
                <li>Distinguish between parent and child tables in relational database</li>
                <li>Use primary and foreign keys to define relationships  between tables</li>
                <li>Design  a relational database from an existing flat-file system(eg: Excel)</li>
            </ul>
             </p>
            <p>
                Note that you might need headphones or speakers depending on your learning style. Make sure to connect speakers/headphones to your computer.
            </p>
            <p>
                Click "Next" on the top of the page to start the prior knowledge assessment.
            </p>
        </xsl:otherwise>
    </xsl:choose>
</div>

</xsl:template>

<xsl:template match="activityNode" mode="courseNavigation">
			<xsl:variable name="precedingModuleId">
				<xsl:choose>
					<xsl:when test="preceding::activityNode"><xsl:value-of select="preceding::activityNode[1]/contentActivityNodeId"/></xsl:when>
					<!--<xsl:otherwise><xsl:value-of select="contentItemId"/></xsl:otherwise>-->
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$precedingModuleId">
					&#160;<input alt="Go to {preceding::activityNode/name}" title="Go to {preceding::activityNode/name}" value="{java:no.inspera.utils.XSLTools.getCaption('PREVIOUS_CONTENT_ACTIVITY_NODE_CLASSIFIED_OBJECT',$languageId,$marketplaceId)}" onclick="parent.location.href='/pedalng?moduleId={$precedingModuleId}'" type="button" class="courseBtn btnPrevious"/>
				</xsl:when>
				<xsl:otherwise>
					&#160;<input disabled="true" value="{java:no.inspera.utils.XSLTools.getCaption('PREVIOUS_CONTENT_ACTIVITY_NODE_CLASSIFIED_OBJECT',$languageId,$marketplaceId)}" type="button" class="courseBtnDisabled btnPrevious"/>
				</xsl:otherwise>
			</xsl:choose>

			<xsl:variable name="nextNode">
				<xsl:choose>
					<xsl:when test="count(activityNode)>1 and not(nodeType='content_activity_root_adaptive_course') and not(/content/allProcessed)"><xsl:copy-of select="./node()"/></xsl:when>
                    <xsl:when test="/content/sameModule"><xsl:copy-of select="/content/activityNode/descendant::activityNode[contentActivityNodeId=$request/moduleId]/node()"/></xsl:when>
                    <xsl:when test="following::activityNode and following::activityNode[1]/activityNode"><xsl:copy-of select="following::activityNode/activityNode[1]/node()"/></xsl:when>
                    <xsl:when test="following::activityNode"><xsl:copy-of select="following::activityNode/node()"/></xsl:when>
                    <xsl:when test="not($request/moduleId)"><xsl:copy-of select="activityNode[1]/node()"/></xsl:when>
				</xsl:choose>
	        </xsl:variable>

            <xsl:choose>
				<xsl:when test="$nextNode">
					<input  onclick="parent.location.href='/pedalng?moduleId={$nextNode/contentActivityNodeId}'" title="Go to {$nextNode/name}" alt="Go to {$nextNode/name}" value="{java:no.inspera.utils.XSLTools.getCaption('NEXT_CONTENT_ACTIVITY_NODE_CLASSIFIED_OBJECT',$languageId,$marketplaceId)}" type="button" class="courseBtn btnNext"  id="nextButton"/>
				</xsl:when>
				<xsl:otherwise>
					<input title="Finish" value="{java:no.inspera.utils.XSLTools.getCaption('ASSESSMENT_FINISH',$languageId,$marketplaceId)}" onclick="parent.window.close()" type="button" class="courseBtn btnFinish"/>
				</xsl:otherwise>
			</xsl:choose>
            &#160;&#160;&#160;<em><xsl:value-of select="/*/activityUserPlan/creationUser/creatorFirstName"/>&#160;<xsl:value-of select="/*/activityUserPlan/creationUser/creatorLastName"/></em>&#160;&#160;<a href="{$Servlet_Login}&amp;action=logout" onclick="parent.location.href='{$Servlet_Login}&amp;action=logout&amp;'"><xsl:value-of select="java:no.inspera.utils.XSLTools.getCaption('LOG_OUT',$languageId,$marketplaceId)"/></a>
</xsl:template>

<xsl:template match="activityNode" mode="viewCourseLeftMenuChildren">
    <li>
            <xsl:choose>
                <xsl:when test="/content/noAssessments">
                    <xsl:value-of select="name"/>
                </xsl:when>
                <xsl:when test="activityNode|activityResource">
                    <a class="courseNodeLink" href="/pedalng/clear?moduleId={contentActivityNodeId}" id="{contentActivityNodeId}">
                        <xsl:if test="number(contentActivityNodeId) = number($moduleId)"><xsl:attribute name="style">background-color: #2586d7;</xsl:attribute></xsl:if>
                        <xsl:value-of select="name"/>
                    </a>
                </xsl:when>
                <xsl:otherwise><a href="#" class="courseNodeLinkNoContent"><xsl:value-of select="name"/></a></xsl:otherwise>
            </xsl:choose>
         <xsl:if test="activityNode and not(/content/noAssessments)">
            <xsl:for-each select="activityNode">
             <a class="courseNodeLink" href="/pedalng/clear?moduleId={contentActivityNodeId}" id="{contentActivityNodeId}">
                 <xsl:attribute name="style">
                         <xsl:if test="number(contentActivityNodeId) = number($moduleId)">background-color: #2586d7;</xsl:if>
                 </xsl:attribute>
                 <div><xsl:value-of select="name"/></div>
             </a>
            </xsl:for-each>
        </xsl:if>
    </li>
</xsl:template>

</xsl:stylesheet>
